"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createConnection = exports.Connection = void 0;
const mysql_1 = __importDefault(require("mysql"));
class Connection {
    constructor(connectionOptions) {
        this.wasConnectionSuccessful = false;
        console.log("Connection created");
        try {
            this.mysqlConnection = mysql_1.default.createConnection(connectionOptions);
            this.mysqlConnection.connect((err) => {
                if (err)
                    throw err;
            });
            this.wasConnectionSuccessful = true;
        }
        catch (error) {
            this.mysqlConnection = null;
            console.log("While creating connection there occurred an error: " + error);
        }
    }
}
exports.Connection = Connection;
function createConnection(connectionOptions) {
    const connection = new Connection(connectionOptions);
    if (connection.wasConnectionSuccessful) {
        return connection;
    }
    return null;
}
exports.createConnection = createConnection;
